Loading...
Searching...
No Matches
dvbt_bit_inner_deinterleaver.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBT_BIT_INNER_DEINTERLEVER_H
#define INCLUDED_DTV_DVBT_BIT_INNER_DEINTERLEVER_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
#include <gnuradio/dtv/dvbt_config.h>
namespace gr {
namespace dtv {
/*!
* \brief Bit Inner deinterleaver.
* \ingroup dtv
*
* ETSI EN 300 744 Clause 4.3.4.1 \n
* Data Input format: \n
* 000000B0B1 - QPSK. \n
* 0000B0B1B2B3 - 16QAM. \n
* 00B0B1B2B3B4B5 - 64QAM. \n
* Data Output format: \n
* 000000X0X1 - QPSK. \n
* 0000X0X1X2X3 - 16QAM. \n
* 00X0X1X2X3X4X5 - 64QAM. \n
* bit deinterleaver block size is 126.
*/
class DTV_API dvbt_bit_inner_deinterleaver : virtual public block
{
public:
typedef std::shared_ptr<dvbt_bit_inner_deinterleaver> sptr;
/*!
* \brief Create a Bit Inner deinterleaver
*
* \param nsize length of input stream. \n
* \param constellation constellation used. \n
* \param hierarchy hierarchy used. \n
* \param transmission transmission mode used.
*/
static sptr make(int nsize,
dvb_constellation_t constellation,
dvbt_hierarchy_t hierarchy,
dvbt_transmission_mode_t transmission);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBT_BIT_INNER_DEINTERLEVER_H */
gr::block::block
block(void)
Definition gnuradio-runtime/include/gnuradio/block.h:806
gr::dtv::dvbt_bit_inner_deinterleaver
Bit Inner deinterleaver.
Definition dvbt_bit_inner_deinterleaver.h:36
gr::dtv::dvbt_bit_inner_deinterleaver::sptr
std::shared_ptr< dvbt_bit_inner_deinterleaver > sptr
Definition dvbt_bit_inner_deinterleaver.h:38
gr::dtv::dvbt_bit_inner_deinterleaver::make
static sptr make(int nsize, dvb_constellation_t constellation, dvbt_hierarchy_t hierarchy, dvbt_transmission_mode_t transmission)
Create a Bit Inner deinterleaver.
dvb_config.h
dvbt_config.h
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv
Definition atsc_consts.h:17
gr::dtv::dvbt_hierarchy_t
dvbt_hierarchy_t
Definition dvbt_config.h:14
gr::dtv::dvbt_transmission_mode_t
dvbt_transmission_mode_t
Definition dvbt_config.h:21
gr::dtv::dvb_constellation_t
dvb_constellation_t
Definition dvb_config.h:79
gr
GNU Radio logging wrapper.
Definition basic_block.h:29